from drf_spectacular.utils import OpenApiExample


class ProjectExamples:
    CREATE_PROJECT = [
        OpenApiExample(
            "Project successfully created",
            value={
                "id": "4505321021243392",
                "slug": "the-spoiled-yoghurt",
                "name": "The Spoiled Yoghurt",
                "platform": "python",
                "dateCreated": "2023-06-08T00:13:06.004534Z",
                "isBookmarked": False,
                "isMember": True,
                "features": [
                    "alert-filters",
                    "custom-inbound-filters",
                    "data-forwarding",
                    "discard-groups",
                    "minidump",
                    "race-free-group-creation",
                    "rate-limits",
                    "servicehooks",
                    "similarity-indexing",
                    "similarity-indexing-v2",
                    "similarity-view",
                    "similarity-view-v2",
                ],
                "firstEvent": None,
                "firstTransactionEvent": False,
                "access": [
                    "member:read",
                    "event:read",
                    "project:admin",
                    "team:write",
                    "project:write",
                    "team:admin",
                    "project:read",
                    "org:integrations",
                    "org:read",
                    "project:releases",
                    "team:read",
                    "alerts:write",
                    "event:admin",
                    "event:write",
                    "alerts:read",
                ],
                "hasAccess": True,
                "hasMinifiedStackTrace": False,
                "hasMonitors": False,
                "hasProfiles": False,
                "hasReplays": False,
                "hasSessions": False,
                "isInternal": False,
                "isPublic": False,
                "avatar": {"avatarType": "letter_avatar", "avatarUuid": None},
                "color": "#3f70bf",
                "status": "active",
            },
            status_codes=["201"],
            response_only=True,
        ),
    ]
